%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}
%global rubyabi 1.9.1

%global gem_name compass-core

Name:          %{?scl_prefix}rubygem-%{gem_name}
Summary:       The Compass core stylesheet library and minimum required ruby extensions
Version:       1.0.1
Release:       1%{?dist}
Group:         Development/Languages
License:       MIT
URL:           http://compass-style.org/reference/compass/
Source0:       https://rubygems.org/downloads/compass-core-%{version}.gem
BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: %{?scl_prefix}rubygem(sass) >= 3.3.0
Requires:      %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires:      %{?scl_prefix}rubygem(multi_json)
Requires:      %{?scl_prefix}rubygem(sass) >= 3.3.0
BuildArch:     noarch
Provides:      %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
The Compass core stylesheet library and minimum required ruby extensions. This
library can be used stand-alone without the compass ruby configuration file or
compass command line tools.

%prep
%{?scl:scl enable %{scl} "}
gem unpack %{SOURCE0}
%{?scl:"}
%setup -q -D -T -n  %{gem_name}-%{version}
%{?scl:scl enable %{scl} "}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:"}

%build
mkdir -p ./%{gem_dir}
%{?scl:scl enable %{scl} "}
gem build %{gem_name}.gemspec
gem install -V \
        --local \
        --install-dir ./%{gem_dir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem
%{?scl:"}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

# rpmlint will complain about these files
#rm %{buildroot}%{gem_instdir}/frameworks/compass/stylesheets/compass/utilities/general/_tabs.sass
rm -rf %{buildroot}%{gem_instdir}/.yardoc

%check
pushd %{buildroot}/%{gem_instdir}
%{?scl:scl enable %{scl} "}
%{?scl:"}
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/data
%{gem_instdir}/stylesheets
%{gem_instdir}/templates
%{gem_libdir}
%doc %{gem_instdir}/LICENSE.txt
%doc %{gem_docdir}
%{gem_cache}
%{gem_spec}

%changelog
* Tue Dec 23 2014 Josko Plazonic <plazonic@princeton.edu>
- initial build
